/* Find and Sort by Jesus Ramos */

/*
 * Explanation: This is a simple sorting problem. If you're familiar
 * with the sorting mechanics of any language this should be trivial
 * to set up.
 * 
 * GOTCHAS: The GOTCHA parts of this problem are that there may be
 * clients with the same name but different ID's, this must be checked
 * appropriately as the problem does not state that names will be
 * unique. The next gotcha is part of the first one in that the
 * clients name may match others names but only the one with the
 * correct ID will be valid.
 */

import java.util.*;

public class FindAndSort
{
    public static void main(String[] args)
    {
        Scanner in = new Scanner(System.in);
        ArrayList<ClientFile> clients = new ArrayList<ClientFile>();

        ClientFile theOne = new ClientFile(in.next(), in.next(), in.nextInt());
        while (in.hasNext())
            clients.add(new ClientFile(in.next(), in.next(), in.nextInt()));

        Collections.sort(clients);

        for (ClientFile cf : clients)
        {
            String extra = "";
            System.out.print(cf);
            if (cf.equals(theOne))
                extra = " <-- FOUND IT!";
            System.out.println(extra);
        }
    }
}

class ClientFile implements Comparable<ClientFile>
{
    public String fName, lName;
    public int id;

    public ClientFile(String l, String f, int i)
    {
        fName = f;
        lName = l;
        id = i;
    }

    public boolean equals(Object o)
    {
        /* Don't even bother with error checking on o */
        ClientFile cf = (ClientFile)o;
        return fName.equals(cf.fName) && lName.equals(cf.lName) && id == cf.id;
    }

    public int compareTo(ClientFile cf)
    {
        int diff = lName.compareTo(cf.lName);
        diff = (diff == 0) ? fName.compareTo(cf.fName) : diff;
        diff = (diff == 0) ? id - cf.id : diff;
        return diff;
    }

    public String toString()
    {
        return lName + " " + fName + " " + id;
    }
}